# Uses of Interface
org.eclipse.birt.report.model.api.simpleapi.IHighlightRule

Packages that use IHighlightRule
Package
Description
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of IHighlightRule in org.eclipse.birt.report.model.api.extension

Methods in org.eclipse.birt.report.model.api.extension that return IHighlightRule
Modifier and Type
Method
Description
`IHighlightRule[]`
MultiRowItem.`getHighlightRules()`
`IHighlightRule[]`
SimpleRowItem.`getHighlightRules()`
Methods in org.eclipse.birt.report.model.api.extension with parameters of type IHighlightRule
Modifier and Type
Method
Description
`void`
MultiRowItem.`addHighlightRule(IHighlightRule rule)`
`void`
SimpleRowItem.`addHighlightRule(IHighlightRule rule)`
`void`
MultiRowItem.`removeHighlightRule(IHighlightRule rule)`
`void`
SimpleRowItem.`removeHighlightRule(IHighlightRule rule)`

## Uses of IHighlightRule in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl that return IHighlightRule
Modifier and Type
Method
Description
`IHighlightRule`
SimpleElementFactory.`createHighlightRule()`
`IHighlightRule`
SimpleElementFactory.`createHighlightRule(HighlightRule highlightRule)`
`IHighlightRule`
SimpleElementFactory.`createHighlightRule(HighlightRuleHandle handle)`

## Uses of IHighlightRule in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi that return IHighlightRule
Modifier and Type
Method
Description
`IHighlightRule`
ISimpleElementFactory.`createHighlightRule()`
Create `IHighlightRule` instance
`IHighlightRule`
ISimpleElementFactory.`createHighlightRule(HighlightRule highlightRule)`
Create `IHighlightRule` instance
`IHighlightRule`
ISimpleElementFactory.`createHighlightRule(HighlightRuleHandle handle)`
Create `IHighlightRule` instance
`IHighlightRule`
IReportDesign.`createHighLightRule()`
Create IHighLightRule
`IHighlightRule[]`
IReportItem.`getHighlightRules()`
Gets all high light rules.
`IHighlightRule[]`
IRow.`getHighlightRules()`
Gets all high light rules.
Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type IHighlightRule
Modifier and Type
Method
Description
`void`
IReportItem.`addHighlightRule(IHighlightRule rule)`
Adds high light rule.
`void`
IRow.`addHighlightRule(IHighlightRule rule)`
Adds high light rule.
`void`
IReportItem.`removeHighlightRule(IHighlightRule rule)`
Removes high light rule.
`void`
IRow.`removeHighlightRule(IHighlightRule rule)`
Removes high light rule.